summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMart Raudsepp <leio@gentoo.org>2018-02-14 21:26:38 +0200
committerMart Raudsepp <leio@gentoo.org>2018-02-15 00:05:38 +0200
commit7daef8d3e2db9475512132bedb72c9ed646fc851 (patch)
treebca916ed0c7caa75347ee1c5a9bda4978d01c454 /media-plugins
parentmedia-plugins/gst-plugins-dash: bump to 1.12.4 for upstream bug fixes (diff)
downloadgentoo-7daef8d3e2db9475512132bedb72c9ed646fc851.tar.gz
gentoo-7daef8d3e2db9475512132bedb72c9ed646fc851.tar.bz2
gentoo-7daef8d3e2db9475512132bedb72c9ed646fc851.zip
media-plugins/gst-plugins-hls: bump to 1.12.4 for upstream bug fixes
Package-Manager: Portage-2.3.19, Repoman-2.3.6
Diffstat (limited to 'media-plugins')
-rw-r--r--media-plugins/gst-plugins-hls/Manifest1
-rw-r--r--media-plugins/gst-plugins-hls/gst-plugins-hls-1.12.4.ebuild41
2 files changed, 42 insertions, 0 deletions
diff --git a/media-plugins/gst-plugins-hls/Manifest b/media-plugins/gst-plugins-hls/Manifest
index 931bf8b2151..9365af3a0a5 100644
--- a/media-plugins/gst-plugins-hls/Manifest
+++ b/media-plugins/gst-plugins-hls/Manifest
@@ -1 +1,2 @@
DIST gst-plugins-bad-1.12.3.tar.xz 4707000 BLAKE2B 1cb82e6f1c20d24a42ed0c7465e4dd8815627b0e716fe9be5d005ddd609c92a08619214a6b15059e7f537dadbc36c34d4c6ebfde1284c6a6029d2edf89bf9fa2 SHA512 6df47381de3a2f4286d047c1e7de2c76dd4312c9806636e2012717282cde0f3e5b2d0ffa910c564c8e122b19363e842b663cce1eda7ae95a05d63d1dbbd52661
+DIST gst-plugins-bad-1.12.4.tar.xz 4709272 BLAKE2B a4d1fec48fdd67fc66eb5588dbee820c22b19a41dda4f5643b1ae326bfc827cd4796fc7a523fb0a9758605952377a2491f4e53ea74237ca7841659dea4ddcbc0 SHA512 a8e281aee1f1d0bb3f171fbe4242e997c661cbfd0be78da3913c0f55d68d6b7c3d34cabfcdd8c25728217ff885b86a7bedc0be34a7b14e2eb2a6c6236753231b
diff --git a/media-plugins/gst-plugins-hls/gst-plugins-hls-1.12.4.ebuild b/media-plugins/gst-plugins-hls/gst-plugins-hls-1.12.4.ebuild
new file mode 100644
index 00000000000..058ae72347c
--- /dev/null
+++ b/media-plugins/gst-plugins-hls/gst-plugins-hls-1.12.4.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+GST_ORG_MODULE=gst-plugins-bad
+
+inherit gstreamer
+
+DESCRIPTION="HTTP live streaming plugin for GStreamer"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="
+ dev-libs/nettle:0=[${MULTILIB_USEDEP}]
+"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+ default
+
+ # FIXME: gsturidownloader does not have a .pc
+ # gstreamer_system_link \
+ # gst-libs/gst/uridownloader:gsturidownloader \
+ # gst-libs/gst/adaptativedemux:gstadaptivedemux
+
+ local directory libs
+ directory="gst-libs/gst/uridownloader"
+ libs="-lgobject-2.0 -lglib-2.0 -lgstreamer-1.0 -lgstbase-1.0 -lgsturidownloader-1.0"
+ sed -e "s:\$(top_builddir)/${directory}/.*\.la:${libs}:" \
+ -i ext/hls/Makefile.{am,in} || die
+
+ directory="gst-libs/gst/adaptivedemux"
+ libs="-lgobject-2.0 -lglib-2.0 -lgstreamer-1.0 -lgstbase-1.0 -lgstapp-1.0 -lgsturidownloader-1.0 -lgstadaptivedemux-1.0"
+ sed -e "s:\$(top_builddir)/${directory}/.*\.la:${libs}:" \
+ -i ext/hls/Makefile.{am,in} || die
+}
+
+multilib_src_configure() {
+ gstreamer_multilib_src_configure \
+ --with-hls-crypto=nettle
+}